Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 517978 - media-libs/mlt-0.9.0 stable request
Summary: media-libs/mlt-0.9.0 stable request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Keywording and Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks: gnome-3.12-stable kde-4.14.3-stable
  Show dependency tree
 
Reported: 2014-07-24 13:20 UTC by Pacho Ramos
Modified: 2014-08-21 09:58 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
ERROR: media-libs/mlt-0.9.0::gentoo failed (compile phase) (file_517978.txt,123.85 KB, text/plain)
2014-08-08 21:35 UTC, Luis Ferreira
Details
ERROR: media-libs/mlt-0.9.0::gentoo failed (compile phase) (file_517978.txt,123.85 KB, text/plain)
2014-08-14 18:25 UTC, Luis Ferreira
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pacho Ramos gentoo-dev 2014-07-24 13:20:40 UTC
Per bug 443222 we need at least 0.8.6... and 0.9.0 has some bug reports opened, then, 0.8.8 looks like the best candidate

Thanks
Comment 1 Samuli Suominen gentoo-dev 2014-07-24 18:01:00 UTC
0.8.8 can go stable, if current stable media-video/kdenlive compiles against it. please test, before CCing arches.
Comment 2 Pacho Ramos gentoo-dev 2014-07-24 18:43:52 UTC
0.9.0 needed for freetype (kdenlive also compiles with it). 

To confirm bug 480574 shouldn't block this we need testing to be done with USE="ruby" for mlt (as I cannot reproduce it with current stable). Thanks
Comment 3 Luis Ferreira 2014-08-08 21:35:36 UTC
Created attachment 382562 [details]
ERROR: media-libs/mlt-0.9.0::gentoo failed (compile phase)
Comment 4 Pacho Ramos gentoo-dev 2014-08-10 12:42:46 UTC
Well, then we need to apply the freetype patch to older version an go ahead with that one... but I don't have access to my laptop now :-(
Comment 5 Paweł Hajdan, Jr. (RETIRED) gentoo-dev 2014-08-14 17:17:21 UTC
x86 stable
Comment 6 Luis Ferreira 2014-08-14 18:25:59 UTC
Created attachment 382902 [details]
ERROR: media-libs/mlt-0.9.0::gentoo failed (compile phase)

emerge --info '=media-libs/mlt-0.9.0::gentoo'
Portage 2.2.8-r1 (default/linux/amd64/13.0/no-multilib, gcc-4.7.3, glibc-2.19-r1, 3.14.14-gentoo x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-3.14.14-gentoo-x86_64-Intel-R-_Core-TM-_i7_CPU_860_@_2.80GHz-with-gentoo-2.2
KiB Mem:     6084324 total,    795476 free
KiB Swap:    6144824 total,   5157036 free
Timestamp of tree: Thu, 14 Aug 2014 17:45:01 +0000
ld GNU ld (Gentoo 2.23.2 p1.0) 2.23.2
app-shells/bash:          4.2_p45
dev-java/java-config:     2.2.0
dev-lang/python:          2.6.8-r3, 2.7.7, 3.2.5-r6, 3.3.5-r1
dev-util/cmake:           2.8.12.2-r1
dev-util/pkgconfig:       0.28-r1
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.12.4
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.4_p6-r1, 1.7.9-r2, 1.8.5-r4, 1.9.6-r3, 1.10.3, 1.11.6, 1.12.6, 1.13.4
sys-devel/binutils:       2.23.2
sys-devel/gcc:            4.6.4, 4.7.3-r1
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2-r1
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.13 (virtual/os-headers)
sys-libs/glibc:           2.19-r1
Repositories: gentoo betelgeuse betagarden sunrise zugaina science gentoo-el quarks_gentoo_hardened_overlay anyc-overlay seden g-ctan House
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/apache2-php5.4/ext-active/ /etc/php/apache2-php5.5/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cgi-php5.5/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/php/cli-php5.5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://ftp.dei.uc.pt/pub/linux/gentoo/ http://cesium.di.uminho.pt/pub/gentoo/ http://ftp.dei.uc.pt/pub/linux/gentoo/ ftp://gentoo.imj.fr/pub/gentoo/ http://130.59.10.35/ftp/mirror/gentoo/ ftp://cesium.di.uminho.pt/pub/gentoo/ "
LANG="pt_PT.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j9 -l9"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/betelgeuse /var/lib/layman/betagarden /var/lib/layman/sunrise /var/lib/layman/zugaina /var/lib/layman/science /var/lib/layman/gentoo-el /var/lib/layman/quarks /var/lib/layman/anyc /var/lib/layman/seden /usr/local/portage /var/lib/layman"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="R X a52 aac aacplus aalib acl acpi action_modeswitch addressbook adns adplug aften akonadi alsa amd64 amr analitza apbs apng archive ares arpack aspell ass atmo attica audiofile autoipd autotrace avahi avcodec avformat avx bash-completion berkdb binfilter bluetooth bs2b bzip2 cairo cdda cddax cddb cdio cleartype cli clucene consolekit context corefonts cover cpudetection cracklib crypt csharp cue cups curl cxx dap dbi dbus dc1394 declarative demosaic designer-plugin detex device-mapper dirac djvu double-precision dri dts dv dvd dvi2tty dvipdfm ebook eigen embedded enca encode epspdf equalizer exif expat expoblending extra faac faad facedetect fam fame fbosd ffmpeg fftw fits flac flash fluidsynth fontconfig fortran fortran2003 fortran95 fpx frei0r ftdi ftp fuse g3dvl games gcj gd gdbm geoip geolocation geos gflags gfortran gif gimp gmath gme gml gmxmopac7 gnuplot gnutls gpac gphoto2 gps graphics graphite graphviz grass growl gsl gstreamer gtk gudev guile hdf5 hdri hpcups humanities hunspell hwdb ical iconv icu id3tag idn ieee1394 imagemagick indi inkjar inotify int64 introspection ipod ipv6 jack jadetex java javascript jbig jemalloc jpeg jpeg2k kate kde keymap kig-scripting kipi kpathsea ladspa lame lapack lash lastfm latex latex3 lcms lensfun lfd libass libcaca libnl libnotify libsamplerate libssh2 libsysfs libtar libtiger libv4l libv4l2 libvisual live lm_sensors lorcon lqr lua luatex lyrics lzma lzo mad matroska mdnsresponder-compat melt metapost metis midi minizip mjpeg mms mmx mmxext mng modplug modules mopac7 motif mp3 mp3tunes mp4 mpeg mpg123 mpi mplayer mpqc mpris mtp multimedia musepack music musicbrainz mysql ncurses netcdf network networking nlpsolver nls nptl nsplugin nss numpy nuv ocr octave odbc ogdi ogg okular omega omxil opal openal openbabel opencl openexr opengl openipmi openmp opus pam pango panorama pcre pdf pdfannotextractor pdfimport perl pgf phonon plasma plotutils png policykit portaudio postproc postscript ppds projectm protobuf pstricks publishers pulseaudio python q32 q64 qimageblitz qt3support qt4 quad quicktime rar raw readline real realtime redeyes romio rpc rtf rtmp rtsp ruby rups sasl scale0tilt scanner schroedinger science scrobbler sdl sdl-image semantic-desktop session sftp shaders shine shout sid sift skins smi smime smp sms smtp sndfile snmp soundtouch sox spatialite speex spell sql sqlite sse sse2 sse3 sse4 sse4a ssl ssse3 subtitles subversion svg swig switcher symlink szip taglib tbb tcpd tesseract tex4ht texi2html tga theora thin-splines threads thumbnail tidy tiff tk toolame tordns truetype twolame type3 udev unicode unwind upnp usb v4l v4l2 vaapi vamp vcdinfo vcdx vdpau video videoslideshow vkontakte vlm vmd vorbis vpx wavpack webkit webp wma wma-fixed wmf wxwidgets x264 xanim xcomposite xetex xindy xine xml xmp xosd xpm xvid xvmc yaz zeroconf zip zlib zvbi" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="sony_dscf55" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CURL_SSL="openssl" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev wacom keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="pt en" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5 php5-3 php5-2" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" RUBY_TARGETS="ruby19" USERLAND="GNU" VIDEO_CARDS="vesa nouveau" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 7 Pacho Ramos gentoo-dev 2014-08-15 09:27:07 UTC
Other option would be to use.mask ruby USE flag :/
Comment 8 Luis Ferreira 2014-08-15 10:04:11 UTC
(In reply to Pacho Ramos from comment #7)
> Other option would be to use.mask ruby USE flag :/

Thank you, Pacho Ramos.
That was what I did, but I thought was better announce this bug. :)
Comment 9 Agostino Sarubbo gentoo-dev 2014-08-21 09:58:39 UTC
amd64 stable. Closing.